PrefabFiles = {
	"chillywilly",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/chillywilly.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/chillywilly.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/chillywilly.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/chillywilly.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/chillywilly_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/chillywilly_silho.xml" ),

    Asset( "IMAGE", "bigportraits/chillywilly.tex" ),
    Asset( "ATLAS", "bigportraits/chillywilly.xml" ),
	
	Asset( "IMAGE", "images/map_icons/chillywilly.tex" ),
	Asset( "ATLAS", "images/map_icons/chillywilly.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_chillywilly.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_chillywilly.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_chillywilly.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_chillywilly.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.chillywilly = "Funny penguin"
STRINGS.CHARACTER_NAMES.chillywilly = "Chilly willy"
STRINGS.CHARACTER_DESCRIPTIONS.chillywilly = "*Imunnitet to cold\n*Very loves to fish"
STRINGS.CHARACTER_QUOTES.chillywilly = "\"Get ready for adventure in winter!\""

-- Custom speech strings
STRINGS.CHARACTERS.CHILLYWILLY = require "speech_chillywilly"

-- The character's name as appears in-game 
STRINGS.NAMES.CHILLYWILLY = "Chilly willy"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHILLYWILLY = 
{
	GENERIC = "It's Chilly willy!",
	ATTACKER = "That Chilly willy looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Chilly willy, friend of ghosts.",
	GHOST = "Chilly willy could use a heart.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "Chilly willy")


AddMinimapAtlas("images/map_icons/chillywilly.xml")
AddModCharacter("chillywilly")

